<!DOCTYPE html>
<html><head>
<title>eric7.EricWidgets</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<h1>eric7.EricWidgets</h1>
<p>
Package implementing some special widgets.
</p>
<p>
They extend or amend the standard widgets as found in QtWidgets.
</p>



<h3>Modules</h3>
<table>

<tr>
<td><a href="eric7.EricWidgets.EricAnimatedLabel.html">EricAnimatedLabel</a></td>
<td>Module implementing a label widget showing an animated pixmap.</td>
</tr>
<tr>
<td><a href="eric7.EricWidgets.EricAnimatedWidget.html">EricAnimatedWidget</a></td>
<td>Module implementing an animated widget.</td>
</tr>
<tr>
<td><a href="eric7.EricWidgets.EricApplication.html">EricApplication</a></td>
<td>Class implementing a specialized application class.</td>
</tr>
<tr>
<td><a href="eric7.EricWidgets.EricClickableLabel.html">EricClickableLabel</a></td>
<td>Module implementing a clickable label.</td>
</tr>
<tr>
<td><a href="eric7.EricWidgets.EricComboSelectionDialog.html">EricComboSelectionDialog</a></td>
<td>Module implementing a dialog to select one entry from a list of strings.</td>
</tr>
<tr>
<td><a href="eric7.EricWidgets.EricCompleters.html">EricCompleters</a></td>
<td>Module implementing various kinds of completers.</td>
</tr>
<tr>
<td><a href="eric7.EricWidgets.EricDirFileDialog.html">EricDirFileDialog</a></td>
<td>Module implementing a dialog to select files and directories simultaneously.</td>
</tr>
<tr>
<td><a href="eric7.EricWidgets.EricErrorMessage.html">EricErrorMessage</a></td>
<td>Module implementing a specialized error message dialog.</td>
</tr>
<tr>
<td><a href="eric7.EricWidgets.EricErrorMessageFilterDialog.html">EricErrorMessageFilterDialog</a></td>
<td>Module implementing a dialog to manage the list of messages to be ignored.</td>
</tr>
<tr>
<td><a href="eric7.EricWidgets.EricFileDialog.html">EricFileDialog</a></td>
<td>Module implementing alternative functions for the QFileDialog static methods.</td>
</tr>
<tr>
<td><a href="eric7.EricWidgets.EricFileSaveConfirmDialog.html">EricFileSaveConfirmDialog</a></td>
<td>Module implementing a dialog to enter a file system path using a file picker.</td>
</tr>
<tr>
<td><a href="eric7.EricWidgets.EricIconBar.html">EricIconBar</a></td>
<td>Module implementing a bar widget showing just icons.</td>
</tr>
<tr>
<td><a href="eric7.EricWidgets.EricLed.html">EricLed</a></td>
<td>Module implementing a LED widget.</td>
</tr>
<tr>
<td><a href="eric7.EricWidgets.EricLineEdit.html">EricLineEdit</a></td>
<td>Module implementing specialized line edits.</td>
</tr>
<tr>
<td><a href="eric7.EricWidgets.EricLineEditButton.html">EricLineEditButton</a></td>
<td>Module implementing a button class to be used with EricLineEdit.</td>
</tr>
<tr>
<td><a href="eric7.EricWidgets.EricListSelectionDialog.html">EricListSelectionDialog</a></td>
<td>Module implementing a dialog to select from a list of strings.</td>
</tr>
<tr>
<td><a href="eric7.EricWidgets.EricListView.html">EricListView</a></td>
<td>Module implementing specialized list views.</td>
</tr>
<tr>
<td><a href="eric7.EricWidgets.EricMainWindow.html">EricMainWindow</a></td>
<td>Module implementing a main window class with styling support.</td>
</tr>
<tr>
<td><a href="eric7.EricWidgets.EricMapWidget.html">EricMapWidget</a></td>
<td>Module implementing a base class for showing a document map.</td>
</tr>
<tr>
<td><a href="eric7.EricWidgets.EricMessageBox.html">EricMessageBox</a></td>
<td>Module implementing QMessageBox replacements and more convenience function.</td>
</tr>
<tr>
<td><a href="eric7.EricWidgets.EricModelMenu.html">EricModelMenu</a></td>
<td>Module implementing a menu populated from a QAbstractItemModel.</td>
</tr>
<tr>
<td><a href="eric7.EricWidgets.EricModelToolBar.html">EricModelToolBar</a></td>
<td>Module implementing a tool bar populated from a QAbstractItemModel.</td>
</tr>
<tr>
<td><a href="eric7.EricWidgets.EricPassivePopup.html">EricPassivePopup</a></td>
<td>Module implementing dialog-like popup that displays messages without interrupting the user.</td>
</tr>
<tr>
<td><a href="eric7.EricWidgets.EricPasswordMeter.html">EricPasswordMeter</a></td>
<td>Module implementing a custom widget indicating the strength of a password.</td>
</tr>
<tr>
<td><a href="eric7.EricWidgets.EricPathPicker.html">EricPathPicker</a></td>
<td>Module implementing a path picker widget.</td>
</tr>
<tr>
<td><a href="eric7.EricWidgets.EricPathPickerDialog.html">EricPathPickerDialog</a></td>
<td>Module implementing a dialog to enter a file system path using a file picker.</td>
</tr>
<tr>
<td><a href="eric7.EricWidgets.EricPlainTextDialog.html">EricPlainTextDialog</a></td>
<td>Module implementing a dialog to show some plain text.</td>
</tr>
<tr>
<td><a href="eric7.EricWidgets.EricProcessDialog.html">EricProcessDialog</a></td>
<td>Module implementing a dialog starting a process and showing its output.</td>
</tr>
<tr>
<td><a href="eric7.EricWidgets.EricProgressDialog.html">EricProgressDialog</a></td>
<td>Module implementing a progress dialog allowing a customized progress bar label.</td>
</tr>
<tr>
<td><a href="eric7.EricWidgets.EricProxyStyle.html">EricProxyStyle</a></td>
<td>Module implementing a proxy style to allow item selection by single/double click or platform default.</td>
</tr>
<tr>
<td><a href="eric7.EricWidgets.EricSideBar.html">EricSideBar</a></td>
<td>Module implementing a sidebar class.</td>
</tr>
<tr>
<td><a href="eric7.EricWidgets.EricSimpleHelpDialog.html">EricSimpleHelpDialog</a></td>
<td>Module implementing a dialog to show some help text.</td>
</tr>
<tr>
<td><a href="eric7.EricWidgets.EricSingleApplication.html">EricSingleApplication</a></td>
<td>Module implementing the single application server and client.</td>
</tr>
<tr>
<td><a href="eric7.EricWidgets.EricSpellCheckedTextEdit.html">EricSpellCheckedTextEdit</a></td>
<td>Module implementing QTextEdit and QPlainTextEdit widgets with embedded spell checking.</td>
</tr>
<tr>
<td><a href="eric7.EricWidgets.EricSqueezeLabels.html">EricSqueezeLabels</a></td>
<td>Module implementing labels that squeeze their contents to fit the size of the label.</td>
</tr>
<tr>
<td><a href="eric7.EricWidgets.EricStretchableSpacer.html">EricStretchableSpacer</a></td>
<td>Module implementing a stretchable spacer widget.</td>
</tr>
<tr>
<td><a href="eric7.EricWidgets.EricStringListEditWidget.html">EricStringListEditWidget</a></td>
<td>Module implementing a dialog to edit a list of strings.</td>
</tr>
<tr>
<td><a href="eric7.EricWidgets.EricTabWidget.html">EricTabWidget</a></td>
<td>Module implementing a TabWidget class substituting QTabWidget.</td>
</tr>
<tr>
<td><a href="eric7.EricWidgets.EricTableView.html">EricTableView</a></td>
<td>Module implementing specialized table views.</td>
</tr>
<tr>
<td><a href="eric7.EricWidgets.EricTextEditSearchWidget.html">EricTextEditSearchWidget</a></td>
<td>Module implementing a horizontal search widget for QTextEdit.</td>
</tr>
<tr>
<td><a href="eric7.EricWidgets.EricTextInputDialog.html">EricTextInputDialog</a></td>
<td>Module implementing a dialog to enter some text.</td>
</tr>
<tr>
<td><a href="eric7.EricWidgets.EricTextSpinBox.html">EricTextSpinBox</a></td>
<td>Module implementing a spinbox with textual entries.</td>
</tr>
<tr>
<td><a href="eric7.EricWidgets.EricToolBarDialog.html">EricToolBarDialog</a></td>
<td>Module implementing a toolbar configuration dialog.</td>
</tr>
<tr>
<td><a href="eric7.EricWidgets.EricToolBarManager.html">EricToolBarManager</a></td>
<td>Module implementing a toolbar manager class.</td>
</tr>
<tr>
<td><a href="eric7.EricWidgets.EricToolBox.html">EricToolBox</a></td>
<td>Module implementing a horizontal and a vertical toolbox class.</td>
</tr>
<tr>
<td><a href="eric7.EricWidgets.EricToolButton.html">EricToolButton</a></td>
<td>Module implementing a specialized tool button subclass.</td>
</tr>
<tr>
<td><a href="eric7.EricWidgets.EricTreeView.html">EricTreeView</a></td>
<td>Module implementing specialized tree views.</td>
</tr>
<tr>
<td><a href="eric7.EricWidgets.EricTreeWidget.html">EricTreeWidget</a></td>
<td>Module implementing specialized tree views.</td>
</tr>
<tr>
<td><a href="eric7.EricWidgets.EricZoomWidget.html">EricZoomWidget</a></td>
<td>Module implementing a zoom widget for the status bar.</td>
</tr>
</table>
</body></html>
